### Method

# ECal Component dup_summaries

since: 3.46

#### Declaration [src]

    GSList*
    e_cal_component_dup_summaries (
      ECalComponent* comp
    )

#### Description [src]

Queries the summary of a calendar component object. There can be one summary property per locale. Free the returned `GSList` with g_slist_free_full (slist, e_cal_component_text_free);, when no longer needed.

Available since: 3.46

#### Return value

Type: A list of `ECalComponentText*`

The summary properties and their parameters, as a `GSList` of `ECalComponentText` structures.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.